[project]
name = "design2garmentcode-impl"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.9"
dependencies = [
    "accelerate==1.1.1",
    "cairosvg==2.7.1",
    "cgal==6.0.1.post202410241521",
    "datasets==2.18.0",
    "huggingface-hub==0.29.2",
    "libigl==2.5.1",
    "markupsafe==2.1.5",
    "matplotlib>=3.9.4",
    "modelscope==1.18.0",
    "nicegui==2.15.0",
    "numpy==1.26.4",
    "peft==0.13.2",
    "psutil==6.0.0",
    "pyrender==0.1.45",
    "pyyaml==6.0.2",
    "qwen-vl-utils==0.0.8",
    "safetensors==0.5.3",
    "scipy==1.13.1",
    "svgpathtools>=1.7.2",
    "svgwrite==1.4.3",
    "tiktoken==0.9.0",
    "tokenizers==0.20.3",
    "transformers==4.46.2",
    "trimesh>=4.11.5",
]
